/* --- Copyright University of Birmingham 1998. All rights reserved. ------
 > File:            $poplocal/local/auto/ved_gli.p
 > Purpose:			Help with documentation files containing tests.
 > Author:          Aaron Sloman, Jun 21 1995
 > Documentation:	Below
 > Related Files:	LIB * VED_TLLI
 */

/*
HOW TO USE
	ENTER gli
	ENTER gli <number>

;;; Put the cursor on the following command, then use ESC d (loadline)
;;; to compile it. Then do "ENTER gli". This will Get a Line In from
;;; the output file, and indent it to the same level as the example.

	applist([1 2 3], identfn) =>

;;; Here's another example, which when compiled produces 5 lines
;;; of output. So to fetch in the output do "ENTER gli 5", with
;;; the cursor on the second line with the "for" loops.

	vars x, y;
	[% for x to 5 do [% for y to 15 do y endfor %] endfor %]==>
    ** [[1 2 3 4 5 6 7 8 9 10 11 12 13 14 15]
        [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15]
        [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15]
        [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15]
        [1 2 3 4 5 6 7 8 9 10 11 12 13 14 15]]

*/
section;

define global ved_gli();
	lvars col;
	1 -> vedcolumn;
	while vedcolumn <= vvedlinesize and strmember(vedcurrentchar(), '\s\t') do
		vedcharright();
	endwhile;
	vedcolumn - 1 -> col;
	ved_tlli();
	veddo('br ' sys_>< col);
enddefine;


endsection;
