;;; $poplocal/local/simworld/simworld.p
;;; To be linked to $poplocal/local/lib/simworld.p

;;; 21 Nov 2001: Modified by AS to use src subdirectory

;;; this will set up the simworld teach path and compile the necessary
;;; classes

global constant simworld;

section;

unless isundef(simworld) then [endsection;] -> proglist endunless;

lconstant this_dir =
;;;'$poplocal/local/simworld/';
 sys_fname_path(popfilename);


;;; extend ved's teach and help and ref lists
;;; Allow for addition of help/ subdirectory later
lconstant
        sw_teach = [[% this_dir dir_>< 'teach/' % teach]],

        sw_help = [[% this_dir dir_>< 'help/' % help]],

		;;; extend program library listss
		sw_auto = this_dir dir_>< 'auto/',

		sw_lib = this_dir dir_>< 'lib/',

		sw_src = this_dir dir_>< 'src/'
;

extend_searchlist(sw_help, vedhelplist) -> vedhelplist;
extend_searchlist(sw_teach, vedhelplist, true) -> vedhelplist;
extend_searchlist(sw_teach, vedteachlist) -> vedteachlist;
extend_searchlist(sw_help, vedteachlist, true) -> vedteachlist;


;;; Autoloadable libraries
extend_searchlist(sw_auto, popautolist) -> popautolist;

;;; Non-autoloadable libraries
extend_searchlist(sw_lib, popuseslist) -> popuseslist;

;;; search list for ENTER src
extend_searchlist(sw_src, vedsrclist) -> vedsrclist;


;;; compile(this_dir dir_>< 'src/simworldGUI.p');

    compilehere
		src/simworldGUI.p
		;


vars simworld = true;
endsection;
